#include <stdio.h>
#include "hello.h"

int hello( void )
{
    printf( "Hello from a DLL!\n" );
    return( 0 );
}

/* Optional LibMain function */
#ifdef __NT__

#include <windows.h>

BOOL APIENTRY LibMain( HANDLE hinstDLL, DWORD dwReason, LPVOID lpvReserved )
{
    switch( dwReason ) {
    case DLL_PROCESS_ATTACH:
        printf( "DLL attaching to process.\n" );
        break;
    case DLL_PROCESS_DETACH:
        printf( "DLL detaching from process.\n" );
        break;
    }
    return( 1 );    /* Indicate success */
}

#endif

#ifdef __OS2__

#include <os2.h>

BOOL APIENTRY LibMain( HMODULE hmodDLL, ULONG ulTermination )
{
    if( ulTermination ) {
        printf( "DLL is terminating.\n" );
    } else {
        printf( "DLL is initializing.\n" );
    }
    return( 1 );    /* Indicate success */
}

#endif
